Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 198909 - New ebuild: sys-process/ts ('task spooler')
Summary: New ebuild: sys-process/ts ('task spooler')
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay, REVIEWED
Depends on:
Blocks:
 
Reported: 2007-11-12 10:56 UTC by Lluís Batlle i Rossell
Modified: 2016-06-08 16:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
The ebuild proposed, with the changes advised by Jakub (ts-0.5.2.ebuild,555 bytes, text/plain)
2008-02-09 11:03 UTC, Lluís Batlle i Rossell
Details
sys-process/ts/ts-0.5.3.ebuild (ts-0.5.3.ebuild,817 bytes, text/plain)
2008-03-19 10:16 UTC, Tiziano Müller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lluís Batlle i Rossell 2007-11-12 10:56:52 UTC
Some people have been using actively 'task spooler', and I think it could be added to the portage tree. The proposed 'ebuild' package for the latest release can be downloaded from: http://vicerveza.homeunix.net/~viric/soft/ts/ts-0.4.1.ebuild
It has been already in the BSD ports since some months.

Reproducible: Always

Steps to Reproduce:




Most information from task spooler can be taken from its web page: http://vicerveza.homeunix.net/~viric/soft/ts/
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-11-12 11:03:46 UTC
- please, attach the ebuild here, do not refer to third-party links
- src_unpack() is redundant
- exeinto /usr/local/bin - *never* install anything into /usr/local; that is reserved for local usage, not for ebuilds
- do not dodoc COPYING, it's already available in $PORTDIR/licenses
Comment 2 Lluís Batlle i Rossell 2008-02-09 11:03:39 UTC
Created attachment 143030 [details]
The ebuild proposed, with the changes advised by Jakub
Comment 3 Lluís Batlle i Rossell 2008-02-09 11:05:47 UTC
Sorry, I didn't receive any letter related to your upate of this 'bug'. I still thought noone answered it, and I just noticed you answered one hour after my submission.

I made the changes you propose, and uploaded the ebuild.

Thank you!
Comment 4 Tiziano Müller gentoo-dev 2008-03-19 10:15:52 UTC
This package is now in the Gentoo Sunrise User Overlay.
For more information, please see http://overlays.gentoo.org/proj/sunrise
You can take over the maintenance yourself, if you want.
Cheers.
Comment 5 Tiziano Müller gentoo-dev 2008-03-19 10:16:49 UTC
Created attachment 146565 [details]
sys-process/ts/ts-0.5.3.ebuild

Had to do some more corrections to make it respect our CC and CFLAGS vars.
Added the tests...
Comment 6 Lluís Batlle i Rossell 2008-05-06 20:28:09 UTC
Thank you for your effort.
I released a version recently, mostly for bugfixes: 0.5.4.
I may get into the sunrise project as a maintainer for ts... I have to see the details of that task.

I wanted to tell you my opinion on the new ebuild: I'd avoid running the testbench, because it may break a running 'ts' of the user, who installs the ebuild.

Regards.
Comment 7 Tiziano Müller gentoo-dev 2008-05-07 08:16:37 UTC
Usually you have "userpriv" activated when installing a package. That means that testbench will run as user "portage" (or "paludisbuild" if using paludis) and not as root or as any user with a real login.
Only when testing the package using the "ebuild ts-0.5.3.ebuild test" command, the tests run as the user executing the ebuild command.
Comment 8 Michael Palimaka (kensington) gentoo-dev 2012-04-08 21:02:37 UTC
Bumped to 0.7.2 in sunrise.
Comment 9 Jan Chren (rindeal) 2015-07-26 21:23:33 UTC
There's a new version - 0.7.5 . No changes in ebuild should be necessary.
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:45:07 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/